/*
	Vita Development Suite Libraries 0.1.1
*/

#ifndef _PSP2_KERNEL_PROCESSMGR_H_
#define _PSP2_KERNEL_PROCESSMGR_H_

#include_next <kernel/processmgr.h>

SCE_CDECL_BEGIN

/**
 * Locks certain timers from triggering.
 *
 * @param[in] type - One of ::SceKernelPowerTickType
 *
 * @return 0
  */
int sceKernelPowerLock(SceInt32 type);

/**
 * Unlocks certain timers.
 *
 * @param[in] type - One of ::SceKernelPowerTickType
 *
 * @return 0
 */
int sceKernelPowerUnlock(SceInt32 type);

SCE_CDECL_END

#endif /* _PSP2_KERNEL_PROCESSMGR_H_ */

